# $Revision: 1.13 $, $Date: 2001/09/18 17:27:50 $
%include	/usr/lib/rpm/macros.perl
Summary:	File-Tools perl module
Summary(pl):	Modu perla File-Tools
Name:		perl-File-Tools
Version:	2.0
Release:	6
License:	GPL
Group:		Development/Languages/Perl
Group(de):	Entwicklung/Sprachen/Perl
Group(pl):	Programowanie/Jzyki/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/File/File-Tools-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprov	"perl(File::Copy)"

%description
This package provides File::Tools and File::Recurse modules.

%description -l pl
Pakiet ten zawiera moduy File::Tools i File::Recurse.

%prep
%setup -q -n File-Tools-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

# it comes with perl package
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/File::Copy.3pm

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/File/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Tools.spec,v $
Revision 1.13  2001/09/18 17:27:50  kloczek
- release 6.

Revision 1.12  2001/09/18 14:10:17  qboosh
- use _noautoprov instead of dep patch

Revision 1.11  2001/04/17 12:09:07  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/04 00:20:35  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  1999/11/05 16:52:52  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.2  1999/10/02 21:22:59  pius
- removed File::Copy.3pm (it belongs to perl package)

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
